Der Import android.support.v7.app kann nicht aufgelöst werden

? peter_f @ | Original: StackOverFlow
---

nach dem Update auf Kepler Eclipse habe ich nicht in der Lage, die Support-Bibliothek appcompat hinzuzufügen. Ich folgte diesem http://developer.android.com/tools/support-library/setup.html#libs-with-res und ich immer noch den Fehler Der Import android.support.v7.app kann nicht auf die aufgelöst werden kann folgenden Zeilen :

import android.support.v7.app.ActionBar;
import android.support.v7.app.ActionBarActivity;

Ich habe die appcompat Projekt hinzugefügt, hinzugefügt beide Gläser auf den Build Path, ausgewählt ihnen auf der Registerkarte Bestell und Export, und fügte hinzu, das Bibliotheksprojekt in das Hauptprojekt .

Der Import android.support.v7.app kann nicht aufgelöst werden

Der Import android.support.v7.app kann nicht aufgelöst werden

Ich kopierte die v4 Bibliothek Sie zum Ordner libs in das Hauptprojekt, aber ich weiß nicht, was anderes zu tun oder zu überprüfen. Hat jemand irgendwelche Vorschläge ??

Thank you!

---

Top 5 Antwort

1Gueste @

Ich bin neu in Eclipse, aber ich hatte den gleichen Fehler und irgendwie repariert. Ich hatte 2-Projekt, einer von ihnen selbst nach einem Neustart oder so festgelegt ist, die erste, die ich durch Zugabe wieder die Einfuhr, die irgendwie i oder Eclipse gelöscht fixiert. Minen Importe :

import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ImageView;
import android.widget.TextView;

Sind hinzufügen alle, die Sie noch benötigen . Hoffe, das hilft

2Joey Garcia @

Peter, ich hatte das gleiche Problem, und das ist, wie ich es in festen Android Studio .

1) der rechten Maustaste auf das Projekt aus dem Projekt- Fenster-Scheibe und wählen Sie Öffnen Moduleinstellungen

2) Auf der linken Seite die Option app, wählen Sie dann die Registerkarte Abhängigkeiten oben rechts

3) Klicken Sie auf die + Taste auf der linken unteren Ecke, wählen Sie Bibliothek Dependency

4) entweder oder wählen appcompat - v7 ( com.android.support:appcompat-v7:20.0.0 )

5) Klicken Sie auf OK auf der Library auswählen Abhängigkeit Fenster

6) Klicken Sie auf OK, oder wenden Sie an diesem Projektstruktur -Fenster.

Nun sollte AS in der Lage, in der fehlende Klasse zu ziehen .

3Matheus Santos @

Nachdem Sie appcompat_v7 um Ihre Abhängigkeiten hinzuzufügen, achten Sie darauf, dass die libs Ordner aus dem Projekt sind leer. Standardmäßig ist ein Android -support- v4.jar erstellt, wenn Sie Ihr Projekt zu definieren, so dass dies zu Konflikten führen, wenn Sie appcompat_v7 Bibliothek als Abhängigkeit zu erklären.

Also, das ist das erste, was Sie tun müssen, überprüfen Sie den Ordner .../My_Project/libs und furchtlos die Datei android-support-v4.jar löschen.

Fügen Sie dann die appcompat_v7 Bibliothek als Abhängigkeit Ihres Projekts: Um dies zu tun, wenn Sie mit Eclipse sind :

Right click in your project folder, located in the Navigator. Click in properties, in the final of the list. In the Properties window, select the Android option (left menu). In the box Library, add your new reference.

Wenn Sie Android Studio sind, können Sie die in der Joey Garcias Kommentar genannten Schritte durchführen.

Unterstützen Bibliothek einrichten -  https://developer.android.com/tools/support-library/setup.html

Lassen Sie mich wissen, wenn es Ihnen geholfen . Viel Glück!